CHECKUPDATES(8)

BEZEICHNUNG
checkupdates - eine Liste der ausstehenden Aktualisierungen sicher ausgeben

ÜBERSICHT

checkupdates [Optionen]

BESCHREIBUNG

checkupdates prüft mittels einer separaten Pacman-Datenbank in TMPDIR auf ausstehende Aktualisierungen (falls CHECKUPDATES_DB nicht gesetzt ist) und gibt eine Liste der Aktualisierungen mit der alten und neuen Version aus.

OPTIONEN

-d, --download
    lädt jegliche ausstehenden Aktualisierungen in den Zwischenspeicher von Pacman herunter.

-h, --help
    zeigt die Optionen der Syntax und Befehlszeile an.

--nocolor
    stellt die Ausgabe nicht farbig dar..

-n, --nosync
    synchronisiert die temporäre Datenbank nicht. Dies funktioniert am besten, wenn die temporäre Datenbank regelmäßig auf andere Weise wie beispielsweise durch einen Cronjob oder Systemd-Timer aktualisiert wird.

-V, --version
    zeigt Versionsinformationen an.

UMGEBUNGSVARIABLEN

CHECKUPDATES_DB
    setzt das als Ort der temporären Datenbank vorgegebene ${TMPDIR:-/tmp}/checkup-db-${UID} außer Kraft.

TMPDIR
    setzt das vorgegebene /tmp als temporäres Verzeichnis außer Kraft.

FEHLER

Beim Beenden gibt checkupdates einen der folgenden Fehlercodes aus.

0
    Normales Beenden.

1
    Fehler mit unbekannter Ursache.

2
    Es sind keine Aktualisierungen verfügbar.

SIEHE AUCH

pacman(8), pacman.conf(5)

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, hinterlassen Sie einen Fehlerbericht (auf Englisch) mit so vielen Details wie möglich auf https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTOREN

Derzeitige Betreuer:

    • Johannes Löthberg (johannes@kyriasis.com)

    • Daniel M. Capella (polyzen@archlinux.org)

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Repositorium pacman-contrib.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).